2006-07-09 15:21  rizsanyi

	* : Added notes about the origins and licences of the headers that
	  were copied from the kernel for kdetvv4lsetup.

2006-07-07 19:47  dziegel

	* : Prepare 0.8.9 Disable channelsuite plugin completely

2006-07-07 19:11  dziegel

	* : Add license headers to all .inc files of TomsMoComp. They were
	  all taken from DScaler, and TomsMocomp is completely GPL/LGPL. See
	  also: http://bugzilla.gnome.org/show_bug.cgi?id=163578

2006-07-04 15:22  scripty

	* : SVN_SILENT made messages (.desktop file)

2006-06-15 15:09  scripty

	* : SVN_SILENT made messages (.desktop file)

2006-05-29 14:52  scripty

	* : SVN_SILENT made messages (.desktop file)

2006-05-16 14:49  scripty

	* : SVN_SILENT made messages (.desktop file)

2006-03-27 15:28  scripty

	* : SVN_SILENT made messages (.desktop file)

2006-03-26 16:52  dziegel

	* : Fix compile on systems without libxv

2006-03-21 15:41  scripty

	* : SVN_SILENT made messages (.desktop file)

2006-03-17 21:34  scripty

	* : SVN_SILENT made messages (.desktop file)

2006-01-19 13:46  scripty

	* : SVN_SILENT made messages (.desktop file)

2006-01-07 23:02  dziegel

	* : Disable v4l1 and channelsuite plugin by default; Use update()
	  instead of repaint();

2005-12-31 11:49  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-11-24 04:59  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-11-22 04:04  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-11-01 07:48  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-10-06 13:49  amantia

	* : Builddir != srcdir fix. And $(all_includes) should be the last
	  one...

2005-10-03 20:14  uga

	* : Visibility fixes for visib. enabled compilers CC: dziegel@gmx.de

2005-10-03 15:03  dziegel

	* : Fix a few warnings from KDE automated tests Various unimportant
	  changes all around

2005-09-27 06:10  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-09-26 06:03  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-09-24 06:17  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-09-22 16:09  amantia

	* : Fix compile (gcc 4.0.2, KDE 3.5).

2005-09-08 07:10  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-09-04 06:45  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-09-01 06:35  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-08-31 06:56  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-08-21 18:40  dziegel

	* : Add "kdetv FAQ" menu entry

2005-08-21 12:27  dziegel

	* : Fix aspect ratio correction for non-rectangular displays

2005-08-18 19:47  dziegel

	* : Update kdetv.spec

2005-08-14 19:56  dziegel

	* : Finalize renaming of kv4lsetup to kdetvv4lsetup BUGS: 104543

2005-08-14 19:42  dziegel

	* : rename kv4lsetup to kdetvv4lsetup to avoid collision with
	  avifile lib

2005-08-14 19:17  dziegel

	* : prepare 0.8.8

2005-08-14 18:40  dziegel

	* : Enable colorkey autopainting. Should fix problems with
	  nonworking video display after using xine/mplayer on some systems.

2005-08-02 07:34  taupter

	* : BUGFIX: Fix run-time error: kdetv: symbol lookup error:
	  /usr/lib/kde3/kdetv_v4l2.so: undefined symbol:
	  _ZN7V4L2Dev9getDeviceERK7QString

2005-07-28 23:45  mueller

	* : update FSF address update admin dir to KDE 3.5

2005-07-23 04:04  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-07-11 11:54  mueller

	* : unbreak compilation

2005-07-11 04:48  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-07-09 14:36  howells

	* : Don't check if something is null before delete'ing it

2005-07-01 19:10  dziegel

	* : Add Pedro de Carvalho Gomes' kpart and kpartshell
	  CCMAIL:pcgomes@gmail.com

2005-06-16 04:19  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-06-14 22:52  mueller

	* : unbreak compilation (gcc 4.x)

2005-06-09 03:32  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-06-07 03:34  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-06-06 03:54  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-05-27 03:53  scripty

	* : SVN_SILENT made messages (.desktop file)

2005-05-24 16:44  dziegel

	* : Translable credits

2005-05-24 16:25  dziegel

	* : CVS_SILENT add Bill to authors file, too

2005-05-24 16:24  dziegel

	* : Add credit to Bill Crowell for donating me a DVB-C and DVB-T
	  card

2005-05-23 19:52  dziegel

	* : Correctly fix aspect ratio on screens with non-rectangular
	  pixels

2005-05-22 23:32  scripty

	* : CVS_SILENT made messages (.desktop file)

2005-05-21 14:44  scripty

	* : CVS_SILENT made messages (.desktop file)

2005-05-19 14:57  scripty

	* : CVS_SILENT made messages (.desktop file)

2005-05-18 19:40  dziegel

	* : Simplify check for V4L presence - if Linux is found, compile v4l
	  stuff. kdetv ships its own v4l headers, so we should have no
	  compile problems.

2005-05-18 19:06  dziegel

	* : Fix snapshot entry of kdetv KDELIRC profile

2005-05-17 03:32  scripty

	* : CVS_SILENT made messages (.desktop file)

2005-05-15 10:36  dziegel

	* : Don't ungrab port twice

2005-05-15 10:09  dziegel

	* : Do XGrabPort() before using XvPutImage(). This fixes problems
	  with video display if kdetv is started after other XV
	  applications.

2005-05-14 09:21  dziegel

	* : Give some dirs a saner name (I like svn)

2005-05-14 09:16  dziegel

	* : Teletext plugin: Implement "Reveal hidden teletext"

2005-05-13 17:44  dziegel

	* : - Add snapshots to KDELIRC profile - Adapt Makefile to svn2dist
	  - bump up version

2005-05-13 03:26  scripty

	* : CVS_SILENT made messages (.desktop file)

2005-05-06 14:24  dziegel

	* : - Make kdetv unsermake-compatible again - Update changelog - Add
	  brazil to frequency lists (Pedro de Carvalho Gomes)

2005-05-06 11:13  marchand

	* : svn:ignore all around

2005-05-05 14:19  dziegel

	* : Add snapshot command to DCOP interface including optional
	  filename specification)

2005-05-05 14:07  dziegel

	* : Adapt Makefile.am and README to svn. New SVN generated changelog

2005-05-04 06:20  

	* : setup extragear/

2005-04-28 19:39  dziegel

	* : Prepare for 0.8.7 release

2005-04-28 08:47  aacid

	* : fixuifiles

2005-04-18 20:04  dziegel

	* : Add g++ >3.1 requirement to README

2005-04-17 20:04  dziegel

	* : Don't crash when video device has no volume control

2005-04-17 19:04  dziegel

	* : i18n fix, UI cleanup and version increase

2005-04-17 09:33  dziegel

	* : Prepare for 0.8.6 release

2005-04-16 21:30  dziegel

	* : kdetvimagefilter::isValid was broken by a typo. Now v4l1 plugin
	  with X11 mode works again when a suitable deinterlacer is
	  selected.

2005-04-16 20:11  dziegel

	* : BUGS:103799 Real cause is channel file was not saved on shutdown

2005-03-30 22:18  dannya

	* : Add grid layout to two group boxes...

2005-03-30 21:05  dannya

	* : New, improved channel wizard dialog!

2005-03-29 17:08  dziegel

	* : Fix screensaver enabling/disabling

2005-03-28 10:17  dziegel

	* : V4l2Plugin bugfix: Scale kdetv's internal volume value to video
	  device's range

2005-03-28 09:55  dziegel

	* : Add volume, bass and treble control for v4l1 plugin Bugfix: V4L2
	  plugin should not touch volume setting by itself

2005-03-28 03:34  scripty

	* : CVS_SILENT made messages (.desktop file)

2005-03-27 20:30  dziegel

	* : Implement volume control using sound card OR TV card
	  (configurable) Should make kdetv run on more hardware

2005-03-24 19:42  mueller

	* : compile

2005-03-19 00:56  dannya

	* : Rename icons to more generic names, so that other apps will use
	  them...

2005-03-18 23:07  dannya

	* : Make app use standard mute icon...

2005-03-09 17:22  dziegel

	* : Don't block when v4l2 device has menu controls

2005-03-03 13:22  mueller

	* : replace exceptionally broken OpenGL configure check with the one
	  from admin/

2005-02-16 22:33  dziegel

	* : Don't crash if there are no channels but user starts TV card
	  control dialog

2005-02-15 12:02  lukas

	* : CVS_SILENT i18n stuff, mostly missing

2005-02-14 20:19  dziegel

	* : Fix bug #99049

2005-02-14 20:03  dziegel

	* : Fix bug #99281 Fix kdetv's copyright years

2005-02-06 14:26  dziegel

	* : Nicer snapshot icon and initial startup bugfix (channel file
	  corruption)

2005-02-03 05:09  scripty

	* : CVS_SILENT made messages (.desktop file)

2005-01-30 19:52  dziegel

	* : Get rid of "renumber" and "set channel" buttons in channel
	  editor (improves usability)

2005-01-30 18:40  dziegel

	* : Fix compile with lirc. Thanks Carsten Lohrke.

2005-01-30 05:13  scripty

	* : CVS_SILENT made messages (.desktop file)

2005-01-23 17:57  dziegel

	* : Prepare for 0.8.5 release

2005-01-23 17:53  dziegel

	* : Clean up toolbars a bit, use standart KDE statusbar action
	  istead of custom one

2005-01-23 17:08  dziegel

	* : TV widget should not loose focus when sidebar is clicked

2005-01-23 15:58  dziegel

	* : Try to fix bug #84860

2005-01-22 04:48  scripty

	* : CVS_SILENT made messages (.desktop file)

2005-01-17 04:46  mueller

	* : fix compiler warning

2005-01-17 04:45  mueller

	* : no, we don't want a suid application to link against those
	  libraries

2005-01-12 04:30  scripty

	* : CVS_SILENT made messages (.desktop file)

2005-01-11 22:28  dziegel

	* : Three more fixes for the automated kde test scripts

2005-01-07 19:32  helio

	* : - Disabled elegant_test until a better solution than compile
	  agains a module is found

2005-01-07 09:26  dziegel

	* : VBIDecoder: Print libzvbi error to console if we got one

2005-01-07 04:29  scripty

	* : CVS_SILENT made messages (.desktop file)

2005-01-06 13:16  dziegel

	* : Initialize const_iterators with const objects

2005-01-05 09:08  dziegel

	* : Many fixes for "issues" discovered by
	  http://www.icefox.net/kde/tests/report.html

2005-01-04 17:34  dziegel

	* : Save control lists per device in channel file so the file can be
	  shared accross multiple devices.

2005-01-04 10:07  dziegel

	* : Versioning for kdetv plugins. That should hopefully fix all
	  startup problems caused by unloadable ancient plugins that lurk
	  around somewhere

2005-01-02 10:52  dziegel

	* : Action shortcut config bugfix (settings not saved)

2005-01-01 20:18  dziegel

	* : Add possibility to configure plugin action shortcuts

2005-01-01 20:17  dziegel

	* : Remove unnecessary focus grabbing. Menu bar can finally be
	  accessed via keyboard.

2004-12-30 22:39  dziegel

	* : kdDebug -> kdWarning conversions all over the project where
	  suitable

2004-12-29 23:47  dziegel

	* : VBIDecoder: Support VBI proxy and a fix for libzvbi 0.2.9 crash

2004-12-14 03:41  scripty

	* : CVS_SILENT made messages (.desktop file)

2004-12-09 06:21  dziegel

	* : xv: remove old #if kdetv: save channels AFTER stopping video
	  display

2004-12-08 18:54  metz

	* : CVS_SILENT ugh, this thing is inside every Makefile.am, I assume
	  either kdetv is not meant to compile with unsermake or unsermake
	  simply sucks -> revert and give up on kdetv

2004-12-08 18:49  metz

	* : CVS_SILENT, this does not work on my unsermake and is not
	  exactly the most needed thing on earth -> disable it for now

2004-12-06 20:55  dziegel

	* : V4L2 plugin now supports snapshots

2004-12-05 12:11  aacid

	* : fixuifiles

2004-12-04 12:03  dziegel

	* : - Add the remaining two control types to v4l2 plugin - Start
	  working on v4l2 plugin snapshots

2004-11-28 16:16  dziegel

	* : A more descriptive name for controls action

2004-11-28 15:28  dziegel

	* : CCMAIL: 93827-done@bugs.kde.org

2004-11-28 15:19  dziegel

	* : Update TODO

2004-11-28 15:10  dziegel

	* : Two v4l2 plugin bugfixes: Audiomodes, isTuner() V4l2 plugin
	  optimization: faster channel switching Add files I forgot to check
	  in previously

2004-11-28 15:10  dziegel

	* : Remove autogenerated files

2004-11-28 14:29  dziegel

	* : Rework kdetv to use control lists - this will make available all
	  driver capabilities exported via v4l2 controls to the user

2004-11-16 12:59  coles

	* : CVS_SILENT Corrected typo.

2004-11-14 23:41  mueller

	* : various compile, spelling, typo and warning fixes

2004-11-14 23:28  mueller

	* : typo

2004-11-14 19:54  dziegel

	* : CVS_SILENT update changelog

2004-11-14 09:30  dziegel

	* : V4L2 plugin crashfix

2004-11-14 08:47  dziegel

	* : Prepare for 0.8.4 release

2004-11-14 08:41  dziegel

	* : v4l2 plugin works now, but I leave compilation disabled for now
	  Bugs: Arrow up / Down does not work - no clue why (yet?)

2004-11-13 23:11  dziegel

	* : Continue working on v4l2 plugin (currently crashes)

2004-11-06 08:54  dziegel

	* : Fix style of captions

2004-11-06 03:59  scripty

	* : CVS_SILENT made messages (.desktop file)

2004-11-05 21:10  dziegel

	* : Two more channelsuite sanity checks

2004-11-05 20:47  bmeyer

	* : header fixes

2004-11-04 21:38  bmeyer

	* : .desktop file cleanup Add missing ; to lists remove depreciated
	  items Terminal= 0 -> false

2004-11-02 04:22  scripty

	* : CVS_SILENT made messages (.desktop file)

2004-10-31 08:53  dziegel

	* : Drop KDE 3.1 compatibility

2004-10-30 21:43  dziegel

	* : Continue working on v4l2 plugin

2004-10-30 20:33  binner

	* : CVS_SILENT fixuifiles

2004-10-30 14:14  dziegel

	* : Continue working on v4l2 plugin Cleanup format endianess mess
	  throughout project

2004-10-29 21:02  dziegel

	* : Start working on a v4l2 plugin

2004-10-27 22:55  dziegel

	* : Set channel numbering start default value dependant on country
	  (US and CA: 2, others: 1) CCMAIL:kwintv@kde.org

2004-10-26 02:51  scripty

	* : CVS_SILENT made messages (.desktop file)

2004-10-25 15:41  binner

	* : CVS_SILENT i18n style guide fixes according to
	  http://developer.kde.org/documentation/standards/kde/style/basics/labels.html

2004-10-25 08:55  dziegel

	* : Add some sanity checks before allowing user to send a
	  channelsuite

2004-10-23 10:49  dziegel

	* : Detect KWin - if not found, fall back to "safe"
	  QWidget::showFullScreen() method

2004-10-22 14:55  dziegel

	* : - Overscan of OpenGL view mode - Fix fullscreen toggle bug on
	  x86-64 - Remove annoying flicker caused by delayed filter chain
	  activation - Fix settingsdialog apply() bug (GUI page was not
	  called)

2004-10-22 11:26  dziegel

	* : KDE3.2 compile fix

2004-10-21 16:10  dziegel

	* : Better abstraction of channel properties This simplifies
	  programming of other video plugins (with other channel properties)

2004-10-20 17:27  dziegel

	* : Per-channel picture settings Minor DScaler filter doc updates
	  CCMAIL:kwintv@kde.org

2004-10-20 09:11  dziegel

	* : All filters now work on x86-64

2004-10-19 11:28  dziegel

	* : All filters except TomsMoComp now work in x86-64 release builds,
	  too ;-)

2004-10-18 18:22  dziegel

	* : Full x86-64 support (including all deinterlacers and filters)
	  CCMAIL: kwintv@kde.org

2004-10-17 18:09  dziegel

	* : kvideoio: Don't override max grab width reported by driver;
	  uncomment syncCurrentFrame calls again Filters: Further x86-64
	  work, still not correct, will continue when I get hold of a 64Bit
	  SuSE

2004-10-15 09:24  binner

	* : CVS_SILENT i18n style guide fix

2004-10-13 22:13  rytilahti

	* : Change snapshot format from 'kdetv-snapshot-number' to
	  'tv-channelname-date-number'. Hope this (commit) is okay for you
	  Dirk, but please e-mail me and revert if necessary.
	  CCMAIL:dziegel@gmx.de

2004-09-30 18:49  dziegel

	* : Still working on porting filters to x86-64

2004-09-29 19:38  dziegel

	* : - Remove Q_INT64 from filters -> int64_t - Chromakill now
	  compiles on x86-64, now on to the crashing ;)

2004-09-28 04:33  dziegel

	* : Another x86-64 fix

2004-09-27 20:15  dziegel

	* : en_GB -> en_US

2004-09-27 20:13  dziegel

	* : x86-64 compile fix

2004-09-27 16:49  dziegel

	* : ... and finally TomsMoComp for x86-64

2004-09-26 20:31  dziegel

	* : ... and port greedy/greedyh to x86-64. But now it's time for a
	  sleep.

2004-09-26 20:13  dziegel

	* : fix Makefile

2004-09-26 20:12  dziegel

	* : Port chromakill, mirror and sharpness to x86-64

2004-09-26 19:44  dziegel

	* : Start porting DScaler filters to x86-64 (thanks to TVTIME
	  developers)

2004-09-26 16:54  dziegel

	* : More verbose error message on plugin loading failure

2004-09-26 15:21  dziegel

	* : Reorganize menu structure a bit

2004-09-26 12:37  dziegel

	* : - Add dialog to display filter chain status - Channelimporter
	  bugfix: Try harder to find channel files

2004-09-26 12:05  dziegel

	* : *** empty log message ***

2004-09-22 21:26  dziegel

	* : CVS_SILENT update changelog

2004-09-22 21:26  dziegel

	* : Last minute fix of kdetv's KDELIRC profile

2004-09-21 19:19  dziegel

	* : Update changelog

2004-09-21 07:15  scripty

	* : CVS_SILENT made messages

2004-09-20 20:10  mueller

	* : fix compile

2004-09-19 16:07  mlaurent

	* : CVS_SILENT QString(i18n(...)) -> i18n(...)

2004-09-15 19:33  dziegel

	* : - Prepare for 0.8.3 release (version number, README) - Some
	  reformatting (no functional changes)

2004-09-12 06:44  scripty

	* : CVS_SILENT made messages

2004-09-05 10:13  dziegel

	* : Clean up indenting a bit (just switched to kdevelop)

2004-09-05 09:04  dziegel

	* : - Single out DScaler code into seperate files for easier code
	  sharing with other projects - A few other cleanups

2004-09-01 17:58  dziegel

	* : Change overscan setting from pixels to percent

2004-09-01 07:31  scripty

	* : CVS_SILENT made messages

2004-08-30 20:34  dziegel

	* : Add RGB->YUV converter to make devices that can only grab RGB
	  work with kdetv (This seems to apply to many USB TV grabbers)

2004-08-29 12:07  dziegel

	* : Add format conversion layer to be able to support devices that
	  cannot grab in a suitable format for the filter chain. Currently
	  only YUV420 is supported.

2004-08-23 22:08  scripty

	* : CVS_SILENT made messages

2004-08-23 05:26  dziegel

	* : GreedyH fix. Thanks Billy Biggs.

2004-08-16 19:20  dziegel

	* : Help gcc produce better filter code

2004-08-08 20:47  dziegel

	* : Last fix wasn't really correct

2004-08-08 20:46  dziegel

	* : Disable OSS plugin by default. ALSA should work on most modern
	  systems. OSS prevents kdetv from starting up if device is in use
	  (e.g. by arts).

2004-08-08 20:14  dziegel

	* : Clean up TomsMoComp a bit (no functional changes)

2004-08-08 19:22  dziegel

	* : Fix muting on shutdown

2004-08-06 18:28  dziegel

	* : Create dummy "None" filter plugin (forces filter chain to half
	  frame rate)

2004-08-05 06:00  dziegel

	* : A few tomsmocomp source code beautifications (no functional
	  changes)

2004-08-02 18:33  dziegel

	* : Add rgb2yuv routine (prepars grabbing from USB devices) Prefer
	  3DNOW over SSE

2004-08-02 18:31  dziegel

	* : Remove unused buffer

2004-08-01 17:09  dziegel

	* : New deinterlacer: DScaler's GreedyH (but _WITHOUT_ GreedyHM
	  part)

2004-08-01 12:33  mhunter

	* : colours -> colors

2004-07-31 18:07  dziegel

	* : Small bugfix

2004-07-31 18:06  dziegel

	* : New postprocess filter: Sharpness

2004-07-31 15:57  dziegel

	* : Some filters do not support full frame rate

2004-07-31 12:02  dziegel

	* : New postprocess filter: Colour inversion

2004-07-31 11:43  dziegel

	* : New postprocessing filter: Chromakill

2004-07-31 10:53  dziegel

	* : New postprocessing filter: Mirror image

2004-07-31 06:48  dziegel

	* : fix Makefile

2004-07-31 06:44  dziegel

	* : Update README and .lsm

2004-07-30 07:04  scripty

	* : CVS_SILENT made messages

2004-07-27 05:28  dziegel

	* : Snapshots/Releases build system should not be UNSERMAKE based

2004-07-25 15:42  dziegel

	* : Update TODO, Changelog and README

2004-07-25 08:48  dziegel

	* : Overscan without performance penalty

2004-07-25 08:03  dziegel

	* : Maybe this fixes the window positioning issues some people see

2004-07-24 15:57  dziegel

	* : Update Changelog and README

2004-07-24 15:50  dziegel

	* : Bump up kdetv version to 0.8.2

2004-07-23 16:28  dziegel

	* : Maybe this fixes the problem that Author/Description are not
	  updated for some people

2004-07-23 06:35  scripty

	* : CVS_SILENT made messages

2004-07-20 07:13  scripty

	* : CVS_SILENT made messages

2004-07-19 05:02  dziegel

	* : This is more readable

2004-07-19 05:01  dziegel

	* : Qt 3.1.1 backward compatibility fix (Q_INT64)

2004-07-18 19:28  dziegel

	* : V4LPlugin: Small autoconfig fix and some cfg dialog improvements

2004-07-18 17:50  dziegel

	* : Stefan Gehn's shutdown optimizations

2004-07-18 13:33  deller

	* : this seems more correct CCMAIL: dziegel@gmx.de

2004-07-18 13:19  dziegel

	* : Various fixes and improvements

2004-07-18 10:57  dziegel

	* : CVS_SILENT update changelog

2004-07-18 10:57  dziegel

	* : Update TODO

2004-07-18 10:46  dziegel

	* : Two minor fixes

2004-07-18 10:10  dziegel

	* : New deinterlacer: TomsMoComp

2004-07-16 20:25  dziegel

	* : A few TomsMoComp fixes

2004-07-15 04:57  dziegel

	* : small fix

2004-07-14 20:13  dziegel

	* : Config dialog for TomsMoCOmp

2004-07-14 19:53  dziegel

	* : Working on TomsMoComp. Not yet working.

2004-07-13 10:20  coles

	* : CVS_SILENT Corrected typo.

2004-07-12 04:51  dziegel

	* : Framerate selection (Full = 50/60, Half = 25/30) to reduce CPU
	  load

2004-07-11 10:50  dziegel

	* : Argh, sometimes things are so damn obvious that I don't see
	  them...

2004-07-11 10:06  dziegel

	* : Use gcc's relative labels for jumps in the deinterlacers

2004-07-11 09:53  dziegel

	* : Improved CPU detection API

2004-07-10 22:48  dziegel

	* : Runtime CPU capabilities detection Abstraction for field
	  transmission order (PAL: EVEN first, NTSC: ODD first)

2004-07-10 13:21  dziegel

	* : New deinterlace filter: DScaler's Greedy (Low Motion)

2004-07-10 13:00  metz

	* : unsermake does not like the same varname (ZVBIDIRS) used in two
	  places, just avoid it

2004-07-10 10:14  dziegel

	* : Change x86 check to allow cross-compiling (thanks to Helge
	  Deller)

2004-07-10 09:22  dziegel

	* : Add x86 architecture configure check and don't compile x86 only
	  filters gcc -fPIC compile fix

2004-07-09 21:19  dziegel

	* : A few of Stefan Gehn's fixes DScaler deinterlacing API wrapper
	  fix

2004-07-07 18:52  dziegel

	* : Differentiate between ImgaeFilters and PostProcessing filters.
	  Config disalog page for image filters.

2004-07-04 19:05  dziegel

	* : DScaler's Greedy2Frame deinterlaceing is working. Picture is a
	  bit "jumpy", need to investigate why. Maybe field display time is
	  jittering?

2004-07-02 05:37  dziegel

	* : Fix wrong license of two files

2004-07-01 20:05  dziegel

	* : Still working on Greedy2Frame. Create DScaler imagefilter class
	  to simplify source compatibility of DScaler plugins.

2004-06-30 21:28  dziegel

	* : Working on Greedy2Frame. Still not correct, but doesn't crash
	  any more.

2004-06-27 19:14  dziegel

	* : Allow /dev/dsp* as OSS mixer devices.

2004-06-24 21:08  dziegel

	* : Plugin config dialog: exchange Author and Description columns

2004-06-24 20:35  dziegel

	* : DCOP interface for overscan image filter

2004-06-24 15:22  dziegel

	* : Overscan. (Plus a few minor other changes I was too lazy to
	  split off). CCMAIL: kwintv@mail.kde.org CCMAIL: ossi@kde.org

2004-06-22 19:46  dziegel

	* : Vbidecoder suspend/resume patch from Andras Mantia + my current
	  deinterlacing changes that I was too lazy to remove (the new
	  plugin immediately crashes when enabled)

2004-06-17 21:38  dziegel

	* : Improvements on image filtering backend: add image history.
	  Cleanup v4l plugin a bit.

2004-06-16 19:12  binner

	* : CVS_SILENT fixuifiles

2004-06-14 21:19  dziegel

	* : New deinterlace plugin: bilinear. Also taken from xawtv. Add
	  more input imageformats to linearblend filter.

2004-06-14 20:44  dziegel

	* : More intelligent filter chain bilding. Now deinterlacing works
	  with all v4l plugin view modes.

2004-06-13 18:27  dziegel

	* : Deinterlacing. Many things are hardcoded, works with v4l plugin
	  in XVIDEO mode only. CCMAIL: kwintv@kde.org

2004-06-13 12:18  dziegel

	* : Further image filtering preparations. Create a KdetvImage class.
	  Shared KdetvImages. Pools for KdetvImages. Make v4l plugin use
	  them. Make snapshots work again.

2004-06-13 10:39  dziegel

	* : On the road to image filtering: Better encapsulation of v4l
	  stuff. Better encapsulation of QVideoStream stuff. Remove v4limage
	  (would need to be exported in libkdetv to be passed through a
	  filter chain). Snapshots are broken now (will be fixed later).

2004-06-12 17:53  dziegel

	* : CVS_SILENT forgot to move that before last commit

2004-06-12 17:49  dziegel

	* : More Qt like OpenGL display mode. My past tries were influenced
	  by my broken OpenGL setup...

2004-06-12 07:55  dziegel

	* : Makefile bugfix

2004-06-12 07:16  dziegel

	* : CVS_SILENT update changelog

2004-06-12 07:13  dziegel

	* : Prepare for 0.8.1 release. Bump up version to 0.8.1.

2004-06-11 12:15  dziegel

	* : kdetv really needs an easter egg. OpenGL is most suitable for
	  this ;-)

2004-06-10 14:10  dziegel

	* : kvideoio's OpenGL does not depend on GLX any more due to usage
	  of QGLWidget

2004-06-10 14:09  dziegel

	* : V4LDevTuner: Detect bttv cards and use additional TV norms.

2004-06-08 20:37  dziegel

	* : - Remove some historic stuff from v4l plugin - Don't autoselect
	  OpenGL mode (too unstable)

2004-06-08 20:27  dziegel

	* : Telex plugin: Raise widget to make teletext display possible
	  with OpenGL view mode

2004-06-08 20:17  staikos

	* : I'm clearly no longer maintaining it. Anyone want @kdetv.org
	  addresses for this?

2004-06-08 20:14  dziegel

	* : Minor fix

2004-06-08 20:02  dziegel

	* : - bump version to pre 0.8.1 - remove whitespace from name when
	  "Guess" button is clicked in channel properties dlg

2004-06-08 18:49  dziegel

	* : More "stable" OpenGL display mode (crashes my machine when
	  changing between display modes). OpenGL display has problems, e.g.
	  teletext widget is below GLWidget...

2004-06-05 10:46  dziegel

	* : OpenGL display mode rewritten. Unstable, may HANG at shutdown.
	  Add credis for Andras Mantia.

2004-06-02 20:15  amantia

	* : I was wrong, there is an item I wish for not present in TODO.

2004-06-02 20:06  amantia

	* : Save the channel file as UTF-8.

2004-06-02 18:33  dziegel

	* : Add picture settings methods to KDELIRC profile

2004-06-02 18:32  dziegel

	* : Add picture settings increase/decrease methods

2004-05-27 07:09  scripty

	* : CVS_SILENT made messages

2004-05-26 18:10  dziegel

	* : Channelsuites: Add ability to preselect a source and encoding

2004-05-24 22:12  deller

	* : roaming user fixes

2004-05-22 09:57  dziegel

	* : CVS_SILENT update changelog

2004-05-17 17:01  dziegel

	* : kvideoio: Remove checks whether a source has audio. v4l2 devs
	  don't support it.

2004-05-13 20:37  dziegel

	* : libkdetvactions: Fix misuse of i18n()

2004-05-13 20:36  dziegel

	* : Do not i18n() TV norms (keeps channel files compatible)

2004-05-13 20:32  dziegel

	* : Another hack to keep v4l and xv plugin channel files
	  compatible... Force everything to lowercase. CCMAIL:
	  casteyde.christian@free.fr

2004-05-13 13:46  coles

	* : Corrected a few more typos (mostly exclamation points; amound ->
	  amount).

2004-05-13 13:36  coles

	* : Corrected a few typos.

2004-05-12 20:55  dziegel

	* : Revert last patch. Doubleclick already opens browser with
	  homepage of channel (if configured) - see 3 lines above. CCMAIL:
	  mlaurent@kde.org

2004-05-10 20:08  dziegel

	* : Fix an error in v4ldev.cpp that can cause multiple deletions of
	  v4limage internal buffer (spurious "free(): invalid pointer
	  0xXXXXXXXX" messages)

2004-05-10 18:41  dziegel

	* : Shrink video settings page a bit

2004-05-10 13:17  mlaurent

	* : Use double click to edit channel

2004-05-09 19:27  dziegel

	* : - Move volume management code into seperate class - Add "pregap"
	  before changing channel to eliminate noise on channel change -
	  Minor cleanups

2004-05-09 10:09  dziegel

	* : Add "Tip of the day" dialog

2004-05-09 09:27  dziegel

	* : Fully configurable taskbar button hiding

2004-05-09 08:25  dziegel

	* : Fix mainwindow::bringToFront() on KDE 3.2

2004-05-07 12:35  cgilles

	* : Fix Configure.ini.in files in according with common Digikam
	  depencies.

2004-05-06 21:10  dziegel

	* : Small bugfix when copying cannelstores

2004-05-06 20:41  dziegel

	* : QVideoStream: OpenGL display mode and some works concerning
	  input formats (Let's hope the GL stuff will not cause too many
	  compilation issues...)

2004-05-04 16:12  dziegel

	* : KDE 3.1 compile fix

2004-05-02 21:23  adridg

	* : Spare us the platform-specific crud

2004-05-02 15:51  dziegel

	* : kvideoio: Remove some redundant lines

2004-05-02 10:28  dziegel

	* : Remove qtvision2kdetv migration script

2004-05-02 10:27  dziegel

	* : CVS_SILENT update changelog

2004-05-02 10:26  dziegel

	* : Ignore .desktop file for changelog creation

2004-05-02 09:49  dziegel

	* : Safer loading of channels - you don't loose your current
	  channels any more if loading fails.

2004-05-02 09:22  dziegel

	* : CVS_SILENT update TODO

2004-05-02 09:22  dziegel

	* : Remove channel DCOP interface. Was not working in all cases.

2004-05-01 12:48  dziegel

	* : kvideoio: Fix VIDIOCMCAPTURE failures: before changing a
	  grabbing property, wait for the in-progress grab to finish.
	  Reorganize v4ldev.cpp file a bit.

2004-04-24 10:38  dziegel

	* : - Middle button click on TV widget mutes sound - Add option to
	  display window on all virtual desktops (can be disabled for
	  fullscreen) - Add option to hide taskbar button and show tray icon
	  instead - Some warnings removed and kwintv->kdetv substitutions in
	  URLs CCMAIL:kwintv@kde.org

2004-04-24 10:13  dziegel

	* : That should prepare kdetv for i18n

2004-04-20 05:44  dziegel

	* : Replace KPushButton by QPushButton in channelwidget

2004-04-19 18:38  dziegel

	* : Add ideas gathered from dot.kde.org release announcement to TODO

2004-04-19 18:29  dziegel

	* : More descriptive name for the GUI settings dialog page

2004-04-19 17:56  dziegel

	* : This should fix compile problems on Qt 3.3.0 systems (uic bug)
	  The pixmap was unused anyway...

2004-04-18 14:46  hausmann

	* : - libkdetv is not a module

2004-04-18 08:02  dziegel

	* : Telex plugin should be enabled by default

2004-04-17 10:03  dziegel

	* : Typo

2004-04-17 10:03  dziegel

	* : Channelsuiteplugin: Stay backward compatible to KDE 3.1

2004-04-17 09:19  deller

	* : fix builds with builddir!=srcdir

2004-04-15 19:34  dziegel

	* : Fix 16x16 kdetv icon

2004-04-15 19:19  dziegel

	* : Deactivate "Open homepage" sidebar context menu if no homepage
	  available

2004-04-15 01:46  mueller

	* : unbreak make install for non-root install

2004-04-14 21:11  dziegel

	* : Some sidebar (channeleditor) eye candy

2004-04-14 20:40  dziegel

	* : Add overwrite warning to channelsuite importer

2004-04-14 20:31  dziegel

	* : CCMAIL: kwintv@kde.org New feature: Channel suites (Menu:
	  Channels/Channelsuites). Comments and suggestions welcome.

2004-04-14 16:57  dziegel

	* : More standart-conformant .lsm

2004-04-14 16:54  dziegel

	* : Typos

2004-04-13 16:49  dziegel

	* : Add .lsm file

2004-04-13 03:36  staikos

	* : CVS_SILENT

2004-04-13 03:32  staikos

	* : small fixes

2004-04-12 07:30  dziegel

	* : Dirk M. forgot these two compilation fixes

2004-04-11 18:31  mueller

	* : getting closer

2004-04-11 18:29  mueller

	* : unbreak compilation

2004-04-11 18:23  mueller

	* : fix compilation

2004-04-11 18:19  mueller

	* : unbreak compilation

2004-04-10 18:57  dziegel

	* : CVS_SILENT forgot to remove two debug msgs

2004-04-10 18:52  dziegel

	* : Fixup channel properties editor. (Uhhh... such a big change
	  shortly before a release...)

2004-04-10 15:07  rizsanyi

	* : add workaround for 'Always on Top' to fix the broken behaviour
	  of KDE 3.1

2004-04-10 14:30  dziegel

	* : Prepare repository for 0.8.0 release

2004-04-10 13:11  dziegel

	* : Typo

2004-04-10 07:01  dziegel

	* : Add "AudioVideo" category to kdetv.desktop. Thanks, Ken
	  Zalewski!

2004-04-08 19:48  dziegel

	* : Remove outdated tests

2004-04-08 19:47  dziegel

	* : Add "rm *~" clean-local target to each Makefile.am

2004-04-08 19:35  dziegel

	* : CCMAIL: rizsanyi@users.sourceforge.net Revert Zolt's last change
	  - it breaks "always on top" when KDE window decoration menus are
	  used to set "always on top". There was a discussion with Andras
	  Mantia about this before.

2004-04-08 13:53  scripty

	* : CVS_SILENT made messages

2004-04-07 13:14  rizsanyi

	* : fixed 'Always On Top' to be set even after changing back from
	  fullscreen to Normal or TV view

2004-04-07 13:13  rizsanyi

	* : fixed my name and updated email address in the about box

2004-04-06 00:57  mhunter

	* : CVS_SILENT Typographical corrections and changes

2004-04-05 19:34  dziegel

	* : Bump up version to 0.8rc2

2004-04-04 14:56  mueller

	* : fix quoting

2004-04-01 21:20  dziegel

	* : qvideostream cleanup and snapshot crashfix

2004-04-01 05:43  scripty

	* : CVS_SILENT made messages

2004-03-31 21:45  dziegel

	* : Display error message when XvCreateImage fails and stop
	  grabbing.

2004-03-31 20:43  dziegel

	* : Adapt Makefile.am to moved kdetv.spec file

2004-03-31 20:43  dziegel

	* : Add a few more error messages to kxv

2004-03-31 17:46  dziegel

	* : Merge Leo Saverniks frequency patch to kwintv channel importer

2004-03-31 05:52  dziegel

	* : Move kdetv.spec to packaging/rpm subdir

2004-03-30 19:12  dziegel

	* : CVS_SILENT typo

2004-03-30 17:53  dziegel

	* : Make mousewheel behavior configurable (channel up/down)

2004-03-30 17:50  dziegel

	* : Fix importing of the very old KWinTV channel file

2004-03-30 05:40  dziegel

	* : Merge Packman .spec file into ours

2004-03-30 05:35  dziegel

	* : Add categories entry to kdetv.desktop

2004-03-29 19:54  dziegel

	* : Display an error message when no mixer is found and don't
	  display the empty config widget. More userfriendly.

2004-03-29 19:53  dziegel

	* : Improve channel widget: Use arrows instead of text for "Move"
	  buttons. This is more intuitive.

2004-03-28 17:54  dziegel

	* : CVS_SILENT Minor fix

2004-03-28 15:31  dziegel

	* : .spec update, Makefile target to create rpm

2004-03-28 12:25  dziegel

	* : Add kdetv.spec file

2004-03-27 11:31  dziegel

	* : Disable the screensaver to prevent complaints about broken
	  shutdown

2004-03-27 09:35  dziegel

	* : ALSA plugin crashfix and improved error reporting

2004-03-27 07:08  dziegel

	* : Remove two warnings and uneccessary "nofinal" option

2004-03-26 06:35  scripty

	* : CVS_SILENT made messages

2004-03-25 19:14  dziegel

	* : Reenable central versioning support

2004-03-25 16:15  dziegel

	* : More builddir != srcdir fixes

2004-03-24 23:21  amantia

	* : builddir != srcdir fixes. Sorry, that cat in the Makefile.am was
	  too ugly... Add (a) generic name.

2004-03-24 21:18  dziegel

	* : CVS_SILENT add snapshot creation makefile target again

2004-03-24 21:04  dziegel

	* : Add central versioning support

2004-03-24 19:14  dziegel

	* : - Wipe out kwintv traces - Improve README - add qtvision2kdetv
	  migration script

2004-03-24 07:24  dziegel

	* : Wipe out some more qtvision traces

2004-03-23 22:00  dziegel

	* : Exit night, enter light: Here it is: kdetv aka TAFKAQK - the
	  application formerly known as qtvision or kwintv3 Only the
	  impatient should try it, it may still have quirks.
	  CCMAIL:kwintv@kde.org

2004-03-23 22:00  

	* : This commit was manufactured by cvs2svn to accommodate a
	  server-side copy/move.

